Loading...
Searching...
No Matches
Lomiri::DownloadManager::GroupDownload Class Reference

`#include <group_download.h>`

Inheritance diagram for Lomiri::DownloadManager::GroupDownload:
Collaboration diagram for Lomiri::DownloadManager::GroupDownload:

## Public Member Functions

virtual | ~GroupDownload ()
bool | isError ()
Error * | error ()

## Protected Member Functions

| GroupDownload (Error *err, QObject *parent=0)
| GroupDownload (QDBusObjectPath path, QObject *parent=0)

## Detailed Description

Definition at line 32 of file group_download.h.

## Constructor & Destructor Documentation

## ~GroupDownload()

Lomiri::DownloadManager::GroupDownload::~GroupDownload | ( |  | ) |

virtual

Definition at line 39 of file group_download.cpp.

## GroupDownload() [1/2]

Lomiri::DownloadManager::GroupDownload::GroupDownload | ( | Error * | err,
|  | QObject * | parent = 0 )

protected

Definition at line 26 of file group_download.cpp.

## GroupDownload() [2/2]

Lomiri::DownloadManager::GroupDownload::GroupDownload | ( | QDBusObjectPath | path,
|  | QObject * | parent = 0 )

protected

Definition at line 33 of file group_download.cpp.

## Member Function Documentation

## error()

Error * Lomiri::DownloadManager::GroupDownload::error | ( |  | ) |

Definition at line 50 of file group_download.cpp.

## isError()

bool Lomiri::DownloadManager::GroupDownload::isError | ( |  | ) |

Definition at line 44 of file group_download.cpp.

The documentation for this class was generated from the following files:

- group_download.h
- group_download.cpp